Bug 17634 - Unit test t/db_dependent/ArticleRequests.t is failing
Summary: Unit test t/db_dependent/ArticleRequests.t is failing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-15 17:35 UTC by Kyle M Hall
Modified: 2018-06-04 20:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17634 - Unit test t/db_dependent/ArticleRequests.t is failing (785 bytes, patch)
2016-11-15 17:38 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17634: Unit test t/db_dependent/ArticleRequests.t is failing (840 bytes, patch)
2016-11-15 17:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Revert "Bug 17634: Unit test t/db_dependent/ArticleRequests.t is failing" (757 bytes, patch)
2016-11-16 07:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17634: Fix circ dependency with require instead of use (777 bytes, patch)
2016-11-16 07:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Revert "Bug 17634: Unit test t/db_dependent/ArticleRequests.t is failing" (813 bytes, patch)
2016-11-16 11:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17634: Fix circ dependency with require instead of use (833 bytes, patch)
2016-11-16 11:11 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-11-15 17:35:56 UTC

    
Comment 1 Kyle M Hall 2016-11-15 17:38:03 UTC
Created attachment 57511 [details] [review]
Bug 17634 - Unit test t/db_dependent/ArticleRequests.t is failing

Test Plan:
1) prove t/db_dependent/ArticleRequests.t
2) Apply this patch
3) prove t/db_dependent/ArticleRequests.t
Comment 2 Tomás Cohen Arazi 2016-11-15 17:42:04 UTC
Created attachment 57512 [details] [review]
Bug 17634: Unit test t/db_dependent/ArticleRequests.t is failing

Test Plan:
1) prove t/db_dependent/ArticleRequests.t
2) Apply this patch
3) prove t/db_dependent/ArticleRequests.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Kyle M Hall 2016-11-15 17:43:01 UTC
Pushed to master for 16.11!
Comment 4 Jonathan Druart 2016-11-16 07:22:43 UTC
This is wrong! It breaks all the tests we have fixed yesterday
Comment 5 Jonathan Druart 2016-11-16 07:30:53 UTC
Created attachment 57520 [details] [review]
Revert "Bug 17634: Unit test t/db_dependent/ArticleRequests.t is failing"

This reverts commit 75f75101585d795ab6b0e4e40f585b21e0f841cb.
Comment 6 Jonathan Druart 2016-11-16 07:30:57 UTC
Created attachment 57521 [details] [review]
Bug 17634: Fix circ dependency with require instead of use

This is definitely wrong but we won't have time to fix it correctly
before the release.
Comment 7 Kyle M Hall 2016-11-16 11:11:28 UTC
Created attachment 57534 [details] [review]
Revert "Bug 17634: Unit test t/db_dependent/ArticleRequests.t is failing"

This reverts commit 75f75101585d795ab6b0e4e40f585b21e0f841cb.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2016-11-16 11:11:58 UTC
Created attachment 57535 [details] [review]
Bug 17634: Fix circ dependency with require instead of use

This is definitely wrong but we won't have time to fix it correctly
before the release.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2016-11-16 11:13:05 UTC
Followups pushed to master for 16.11, thanks Jonathan!
Comment 10 Mason James 2016-12-14 11:15:35 UTC
Pushed to 16.05.x, for 16.05.06 release